package sy;

import ComprehensiveWorkingHourServiceImpl.beforlog;
import com.engine.common.util.ServiceUtil;
import com.engine.jucailinkq.attendance.workflow.service.AllowanceService;
import com.engine.jucailinkq.attendance.workflow.service.OvertimePlanService;
import com.engine.jucailinkq.attendance.workflow.service.impl.AllowanceServiceImpl;
import com.engine.jucailinkq.attendance.workflow.service.impl.OvertimePlanServiceImpl;
import org.junit.Test;
import weaver.hrm.User;

import java.util.HashMap;
import java.util.Map;

/**
 * @Author: sy
 * @Description:
 * @Date: 2024/5/13
 **/
public class testAllowance extends beforlog {

    private AllowanceService getAllowanceService(User user) {
        return ServiceUtil.getService(AllowanceServiceImpl.class,user);
    }
    @Test
    public void test() throws Exception {
        User user = new User();
        user.setUid(1);
        user.setLanguage(7);

        Map<String, Object> params = new HashMap<>();
        Map<String,String> mainTableData = new HashMap<>();

        mainTableData.put("xjr", "31");
        mainTableData.put("cxqj", "1");


        params.put("mainTableData", mainTableData);

        getAllowanceService(user).getAllowanceRecordList(params);



    }

}
